org.codehaus.plexus.component.discovery

## Class DiscoveryListenerDescriptor

- java.lang.Object
- - org.codehaus.plexus.component.discovery.DiscoveryListenerDescriptor

    public class DiscoveryListenerDescriptor
    extends Object

Version:
  $Id: DiscoveryListenerDescriptor.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`DiscoveryListenerDescriptor()`

### Method Summary

Methods
`String` `getRole()`
`String` `getRoleHint()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiscoveryListenerDescriptor

    public DiscoveryListenerDescriptor()

### Method Detail

#### getRole

    public String getRole()

#### getRoleHint

    public String getRoleHint()